aboutsummaryrefslogtreecommitdiff
path: root/toolchain
diff options
context:
space:
mode:
authorGravatar Fabio Estevam <fabio.estevam@nxp.com>2016-09-12 13:15:54 -0300
committerGravatar Thomas Petazzoni <thomas.petazzoni@free-electrons.com>2016-09-12 22:57:53 +0200
commitd3ac2bc616803b40efad1e620ffe09eb7f7d1565 (patch)
treea09b28da25e131fe692005fd87d96c819d348617 /toolchain
parent51a7293bf96ece7efebcdcc2aa9cf476d451ff94 (diff)
downloadbuildroot-d3ac2bc616803b40efad1e620ffe09eb7f7d1565.tar.gz
buildroot-d3ac2bc616803b40efad1e620ffe09eb7f7d1565.tar.bz2
linux-headers: allow specifying 4.8 as kernel header version
Even though 4.8 is not released yet, some people may want to build a system using the 4.8-rc kernel, and point to the kernel sources as the kernel headers to use for the toolchain. In order to make this possible, this commit adds support for specifying 4.8 as the kernel headers version, in both the internal and external toolchain logic. Signed-off-by: Fabio Estevam <fabio.estevam@nxp.com> [Thomas: remove support for 4.8 headers selection, and rework commit log.] Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
Diffstat (limited to 'toolchain')
-rw-r--r--toolchain/toolchain-common.in5
-rw-r--r--toolchain/toolchain-external/Config.in4
2 files changed, 9 insertions, 0 deletions
diff --git a/toolchain/toolchain-common.in b/toolchain/toolchain-common.in
index 03fa880e21..b682e4d701 100644
--- a/toolchain/toolchain-common.in
+++ b/toolchain/toolchain-common.in
@@ -222,10 +222,15 @@ config BR2_TOOLCHAIN_HEADERS_AT_LEAST_4_7
bool
select BR2_TOOLCHAIN_HEADERS_AT_LEAST_4_6
+config BR2_TOOLCHAIN_HEADERS_AT_LEAST_4_8
+ bool
+ select BR2_TOOLCHAIN_HEADERS_AT_LEAST_4_7
+
# This order guarantees that the highest version is set, as kconfig
# stops affecting a value on the first matching default.
config BR2_TOOLCHAIN_HEADERS_AT_LEAST
string
+ default "4.8" if BR2_TOOLCHAIN_HEADERS_AT_LEAST_4_8
default "4.7" if BR2_TOOLCHAIN_HEADERS_AT_LEAST_4_7
default "4.6" if BR2_TOOLCHAIN_HEADERS_AT_LEAST_4_6
default "4.5" if BR2_TOOLCHAIN_HEADERS_AT_LEAST_4_5
diff --git a/toolchain/toolchain-external/Config.in b/toolchain/toolchain-external/Config.in
index 63b77127fe..c3822edad5 100644
--- a/toolchain/toolchain-external/Config.in
+++ b/toolchain/toolchain-external/Config.in
@@ -794,6 +794,10 @@ choice
m = ( LINUX_VERSION_CODE >> 8 ) & 0xFF
p = ( LINUX_VERSION_CODE >> 0 ) & 0xFF
+config BR2_TOOLCHAIN_EXTERNAL_HEADERS_4_8
+ bool "4.8.x"
+ select BR2_TOOLCHAIN_HEADERS_AT_LEAST_4_8
+
config BR2_TOOLCHAIN_EXTERNAL_HEADERS_4_7
bool "4.7.x"
select BR2_TOOLCHAIN_HEADERS_AT_LEAST_4_7